/* Copying:
   This program is free software; you can redistribute it and/or modify it under   the terms of the GNU Gerneral Public License as published by the Free Soft-
   ware Foundation; either version 2 of License, or (at your option) any later
   version.
 
   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILTY or
   FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
   more details.
 
   You should have received a copy of the GNU General Public License along with
   this program; if not, write to the Free Software Foundation, Inc., 675 Mass
   Ave, Cambridge, MA 02139, USA.
 */

/* default values and configuration
   written by Matthias Hensler <wsp@gmx.de>, 27/9/1999
   Copyright WSPse 1999
   Last updated by Matthias Hensler <wsp@gmx.de>, 05/01/2000
*/

#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <strings.h>
#include <string.h>
#include <sys/ioctl.h>
#include <sys/time.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <sys/types.h>
#include <time.h>
#include <ctype.h>
#include <errno.h>
#include <signal.h>

#define VERSION  "0.5a"
#define SFTOOLRC "~/.sftoolrc"
#define OWNBBS   "TUXB0X"
#define MAILSERV "localhost:smtp"
#define MXSPOOL  "/var/spool/mail/$"
#define MXSENDER "$@localhost"
#define FWDPRG   "ifwd"
#define BOXSOCK  "/usr/local/box/stat/socket"
#define EXPDIR   "~/.sftool/export/"
#define IMPDIR   "~/.sftool/import/"
#define FAILDIR  "~/.sftool/failed/"
#define COPYDIR  "~/.sftool/copy/"
#define LOGFILE  "~/.sftool/sflog"
#define TMPDIR   "~/.sftool/tmp/"
#define ENCODER  "sh -c \"gzip -c %1 | uuencode %1.gz > %2\""
#define DECODER  "sh -c \"uudecode %1 -o /dev/stdout | gunzip > %2\""
#define MIMEENC1 "sh -c \"zip -9 -l -j - %1 | mimencode > %2\""
#define MIMEDEC1 "sh -c \"mime2uu %1 - | uudecode -o /dev/stdout | gunzip -c > %2\""
#define MIMECON1 "application/x-zip"
#define MIMESUF1 ".zip"
#define MIMEENC2 "sh -c \"gzip -c %1 | mimencode > %2\""
#define MIMEDEC2 "sh -c \"mime2uu %1 - | uudecode -o /dev/stdout | gunzip > %2\""
#define MIMECON2 "application/x-gzip"
#define MIMESUF2 ".gz"
#define MIMEENC3 "sh -c \"bzip2 -c %1 | mimencode > %2\""
#define MIMEDEC3 "sh -c \"mime2uu %1 - | uudecode -o /dev/stdout | bunzip2 > %2\""
#define MIMECON3 "application/x-bzip2"
#define MIMESUF3 ".bz2"
#define MIMEENC4 "sh -c \"rar -c %1 | mimencode > %2\""
#define MIMEDEC4 "sh -c \"mime2uu %1 - | uudecode | rar p -inul '*.rar' > %2 ; rm *.rar\""
#define MIMECON4 "application/x-rar-compressed"
#define MIMESUF4 ".rar"
#define MIMEENC5 "sh -c \"zip -9 -l -j - %1 | mimencode > %2\""
#define MIMEDEC5 "sh -c \"mime2uu %1 - | uudecode -o /dev/stdout | gunzip -c > %2\""
#define MIMECON5 "application/x-zip-compressed"
#define MIMESUF5 ".zip"

#ifdef BOOL
#undef BOOL
#endif
#ifdef TRUE
#undef TRUE
#endif
#ifdef FALSE
#undef FALSE
#endif

typedef unsigned char BOOL;
#define TRUE  (1==1)
#define FALSE (1==0)

