/* Copying:
   This program is free software; you can redistribute it and/or modify it under
   the terms of the GNU Gerneral Public License as published by the Free Soft-
   ware Foundation; either version 2 of License, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILTY or
   FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
   more details.

   You should have received a copy of the GNU General Public License along with
   this program; if not, write to the Free Software Foundation, Inc., 675 Mass
   Ave, Cambridge, MA 02139, USA.
 */

/* doing export
   written by Matthias Hensler <wsp@gmx.de>, 28/9/1999
   Copyright WSPse 1999
   Last updated by Matthias Hensler <wsp@gmx.de>, 20/11/1999
*/

#include "config.h"
#include "struct.h"

extern boxlist *config_boxlist;
extern char    *config_expdir;
extern char    *config_fwdprg;
extern char    *config_boxsock;

extern int print_log(char *str);
extern int config_create_sub_dirs(char *filename, BOOL mode);
extern int shell_run_cmd(char *cmd, char *pat1, char *pat2);
extern int config_get_protokol(char *str);
extern int config_box_action_allowed(char *box);

int export_main(void)
{
  boxlist *curr;
  char *cmd;
  int ex_stat;

  print_log("export started");
  
  cmd = (char *) malloc(sizeof(char) * (strlen(config_expdir) + strlen(config_fwdprg)
					+strlen(config_boxsock) + 80));
  if(! cmd) {
    perror("malloc");
    exit(1);
  }
  
  config_create_sub_dirs(config_expdir, FALSE);
  curr = config_boxlist;
  while(curr) {
    if(! config_box_action_allowed(curr->bbs)) {
      sprintf(cmd, "export for box \"%s\" disallowed by rule", curr->bbs);
      print_log(cmd);
    } else {
      sprintf(cmd, "doing export for %s", curr->bbs);
      print_log(cmd);
      
      sprintf(cmd, "%s %s -s %s - ", config_fwdprg, curr->bbs, config_boxsock);
      switch(config_get_protokol(curr->bbs)) {
	case 1:
	  strcat(cmd, "-fbb ");
	  break;
	case 2:
	  strcat(cmd, "-gt ");
	  break;
	case 3:
	  strcat(cmd, "-dp ");
	  break;
	default:
	  print_log("strange, but got illegal protokol of defined box, using fbb");
	  strcat(cmd, "-fbb ");
      }
      
      strcat(cmd, config_expdir);
      strcat(cmd, "/");
      strcat(cmd, curr->bbs);
      strcat(cmd, ".exp");
      
      ex_stat = shell_run_cmd(cmd, NULL, NULL);
      if(ex_stat) {
	sprintf(cmd, "exporting failed with code %d", ex_stat);
	print_log(cmd);
      } else {
	sprintf(cmd, "exporting for %s successfully", curr->bbs);
	print_log(cmd);
      }

    }
    curr=curr->next;
  }
   
  free(cmd);

  print_log("export finished");
  
  return 0;
}

