/* Copying:
   This program is free software; you can redistribute it and/or modify it under
   the terms of the GNU Gerneral Public License as published by the Free Soft-
   ware Foundation; either version 2 of License, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILTY or
   FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
   more details.

   You should have received a copy of the GNU General Public License along with
   this program; if not, write to the Free Software Foundation, Inc., 675 Mass
   Ave, Cambridge, MA 02139, USA.
 */

/* do loging
   written by Matthias Hensler <wsp@gmx.de>, 27/9/1999
   Copyright WSPse 1999
   Last updated by Matthias Hensler <wsp@gmx.de>, 4/1/2000
*/

#include "config.h"

extern int config_verbose;
extern FILE *config_logfile;

int print_log(char *str)
{
  char time_str[50];
  time_t lt;
  struct tm *ltm;

  lt  = time(NULL);
  ltm = localtime(&lt);
  
  sprintf(time_str, "%02d.%02d.%04d %02d:%02d:%02d",
	  ltm->tm_mday, ltm->tm_mon+1,
	  ltm->tm_year + 1900,
	  ltm->tm_hour, ltm->tm_min, ltm->tm_sec);

  if(config_logfile) {
    fprintf(config_logfile, "%s - %s\n", time_str, str);
    if(config_verbose && config_logfile != stderr) {
      fprintf(stderr, "%s - %s\n", time_str, str);
    }
  } else {
    fprintf(stderr, "%s - %s\n", time_str, str);
  }

  return 0;
}

